<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
    xmlns:xs="http://www.w3.org/2001/XMLSchema"
    xmlns:xsd-to-dita="xsd-to-dita.xsd"
    exclude-result-prefixes="xs xsd-to-dita"
    version="2.0">
    
    <xsl:variable name="xsd-to-dita:master.xsd" select="'xsd-to-dita_master.xsd'"/>
    <xsl:variable name="xsd-to-dita:out__dir" select="'xsd-to-dita'"/>
    
    <xsl:template mode="xsd-to-dita:master.xsd" match="xs:schema">
        <map>
            
            <!--<xsl:copy-of select="descendant-or-self::*/namespace::node()"></xsl:copy-of>-->
            <xsl:apply-templates mode="#current"/>
            <xsl:apply-templates mode="xsd-to-dita:master.xsd__import"/>
            
        </map>
    </xsl:template>
    
    
    <xsl:template mode="xsd-to-dita:master.xsd" match="xs:annotation[xs:documentation]">
        <title>#23
            <xsl:copy-of select="xs:documentation/text()"/>
        </title>
    </xsl:template>
    
    <xsl:function name="xsd-to-dita:dita_id">
        <xsl:param name="xsd-to-dita:href"/>
        <xsl:value-of select="tokenize($xsd-to-dita:href,'/')[last()]"/>
    </xsl:function>
    
    <xsl:variable name="xsd-to-dita:master.xsd__import__schemaLocation"/>
    
    
</xsl:stylesheet>